org.eclipse.emf.cdo.common.admin

## Interface CDOAdminRepository

- All Superinterfaces:
    CDOCommonRepository, CDOTimeProvider, IAdaptable, INotifier
  All Known Subinterfaces:
    CDOAdminClientRepository

      public interface CDOAdminRepository
      extends CDOCommonRepository, INotifier

  An administrative interface to a remote `repository`.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delete(String type)` Deletes the remote `repository` administered by this administrative interface.
    `CDOAdmin` | `getAdmin()`
    `long` | `getTimeStamp()` May be unsupported on the client side.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingUnits, waitWhileInitial`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getAdmin

          CDOAdmin getAdmin()

    - #### delete

          boolean delete(String type)

      Deletes the remote `repository` administered by this administrative interface.

      On the server-side the deletion is delegated to an instance of `org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler` that is registered with the server's `container` under the given `type` argument.

    - #### getTimeStamp

          long getTimeStamp()
                     throws UnsupportedOperationException

      May be unsupported on the client side.
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`
      Throws:
        `UnsupportedOperationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html